# $Revision: 1.5 $, $Date: 2002/08/21 16:51:57 $
Summary:	C++ interface to MySQL Database
Summary(pl):	Interfejs C++ do bazy MySQL
Name:		mysql++
Version:	1.7.9
Release:	1
License:	LGPL
Group:		Development/Libraries
Source0:	ftp://sunsite.icm.edu.pl/pub/unix/mysql/Downloads/mysql++/%{name}-%{version}.tar.gz
URL:		http://www.mysql.com/downloads/api-mysql++.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	mysql-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mysql++ is a C++ interface to MySQL API.
%description -l pl
Mysql++ jest interfejsem C++ do API MySQL.

%package devel
Summary:	C++ interface to MySQL Database (headers and libraries)
Summary(pl):	Interfejs C++ do bazy MySQL (pliki nagwkowe i biblioteki)
Group:		Development/Libraries

%description devel
Mysql++ is a C++ interface to MySQL API. Package contains a development header
files and libraries necessary to develop MySQL client applications in C++.

%description devel -l pl
Mysql++ jest interfejsem C++ do API MySQL. Paczka zawiera nagwki 
oraz biblioteki potrzebne do rozwoju aplikacji klienckich w jzyku C++.

%package static
Summary:	C++ interface to MySQL Database (static libraries)
Summary(pl):	Interfejs C++ do bazy MySQL (biblioteki statyczne)
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Mysql++ is a C++ interface to MySQL API. Package contains a static libraries.

%description static -l pl
Mysql++ jest interfejsem C++ do API MySQL. Paczka zawiera biblioteki statyczne.

%prep
%setup -q

%build
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc README doc/*
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/lib*.la

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mysql++.spec,v $
Revision 1.5  2002/08/21 16:51:57  kloczek
- seems now finished :)

Revision 1.4  2002/08/21 15:51:52  kloczek
- final cleanups.

Revision 1.3  2002/08/20 20:02:21  djrzulf
- finished,
- STBR,

Revision 1.2  2002/08/20 19:24:20  djrzulf
- cosmetics (ac/am),
- STBR,

Revision 1.1  2002/08/19 21:41:16  djrzulf
- initial release,
- adapterized,
- look at "TODO" at the top of file, if it's OK -> STBR,
